Rootserver Sponsor

webtropia"

Donations

Please support your operating system's further development:

donate"

Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
LatOffline
Post subject: Websvn won't install/upgrade clean with apache  PostPosted: 25.01.2015, 15:28



Joined: 2010-09-19
Posts: 204

Status: Offline
Today while dist-upgrading I got:
      Code:
npacking websvn (2.3.3-1.2) over (2.3.3-1.1) ...
Setting up websvn (2.3.3-1.2) ...
ln: failed to create symbolic link ˜/etc/apache2/conf.d/websvn": No such file or directory
dpkg: error processing package websvn (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 websvn
E: Sub-process /usr/bin/dpkg returned an error code (1)


/etc/apache2/conf.d doesn't exist anymore. /etc/apache2/conf-available and /etc/apache2/conf-enabled are there instead.

Only solution so far is tailoring /var/lib/dpkg/info/websvn.postinst

PS. Websvn doesn't come included in a normal install, so if you don't know what it is, chances are you don't have it and therefore, you don't have to worry about this bug.

Thanks
 
 View user's profile Send private message  
Reply with quote Back to top
LatOffline
Post subject: RE: Websvn won  PostPosted: 05.05.2015, 01:08



Joined: 2010-09-19
Posts: 204

Status: Offline
New version still has the same problem :\
      Code:
Setting up websvn (2.3.3-1.3) ...
ln: failed to create symbolic link ‘/etc/apache2/conf.d/websvn’: No such file or directory
dpkg: error processing package websvn (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 websvn
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject: RE: Websvn won  PostPosted: 05.05.2015, 04:51



Joined: 2010-08-25
Posts: 949

Status: Offline
This doesn't appear like a regression, as nothing has changed since january in regards to the maintainer scripts - so perhaps your underlying system has changed since the last websvn upgrade. What looks to be the problem might be an old debconf setting, probably caused by remaining apache v1 packages or previous misconfiguration. To fix this, make sure that all apache (v1) packages are removed, /usr/sbin/apache mustn't exist, and then try "apt-get install -f" or maybe "dpkg-reconfigure websvn" (select apache2 as webserver, not apache).
 
 View user's profile Send private message  
Reply with quote Back to top
LatOffline
Post subject: RE: Websvn won  PostPosted: 07.05.2015, 03:05



Joined: 2010-09-19
Posts: 204

Status: Offline
Thanks for the reply slh. I don't think I have apache v1
      Code:
root@serv# which apache ; [ -e   /usr/sbin/apache ] && echo APACHE1 || echo apache1NOTfound ; dpkg -l |grep apache                                                                                   
apache1NOTfound                                                                                                                                                                                     
ii  apache2                                    2.4.12-1                            amd64        Apache HTTP Server
ii  apache2-bin                                2.4.12-1                            amd64        Apache HTTP Server (modules and other binary files)
ii  apache2-data                               2.4.12-1                            all          Apache HTTP Server (common files)
ii  apache2-doc                                2.4.12-1                            all          Apache HTTP Server (on-site documentation)
ii  apache2-mpm-prefork                        2.4.12-1                            amd64        transitional prefork MPM package for apache2
ii  apache2-utils                              2.4.12-1                            amd64        Apache HTTP Server (utility programs for web servers)
ii  apache2.2-bin                              2.4.12-1                            amd64        Transitional package for apache2-bin
rc  apache2.2-common                           2.2.22-13                           amd64        Apache HTTP Server common files
ii  libapache2-mod-php5                        5.6.7+dfsg-1                        amd64        server-side, HTML-embedded scripting language (Apache 2 module)
ii  libapache2-mod-svn                         1.8.10-6                            amd64        Apache Subversion server modules for Apache httpd
ii  libapache2-mod-xsendfile                   0.12-2                              amd64        Serve large static files efficiently from web applications
ii  libapache2-svn                             1.8.10-6                            all          Apache Subversion server modules for Apache httpd (dummy package)


I still believe is the debconf since it doesn't mention the conf-enabled directory.

grep conf-enabled /var/lib/dpkg/info/websvn.postinst returns nothing

      Code:
#! /bin/sh
# postinst script for websvn

set -e

conffile="/etc/websvn/svn_deb_conf.inc"

case "$1" in
   configure)
      . /usr/share/debconf/confmodule || exit
      db_version 2.0
      db_title WebSVN

      db_get "websvn/configuration" || true
      if [ "$RET" = "true" ]; then


         # install/update config file
         tmpfile=`mktemp /tmp/websvn.inc.XXXXXX`

         # create new file
         echo "<php>parentPath(\"$dirname\");" >> $tmpfile
           done
         fi

         db_get "websvn/repositories" || true
         i=1
         repositories="$RET"
         if [ "x$repositories" != "x" ]; then
           echo $repositories | sed -e 's/,/\n/g' | \
           while read dirname; do
             echo "\$config->addRepository(\"repos $i\", \"file://$dirname\");" >> $tmpfile
             i=$(($i + 1))
           done
         fi

         searchpath="/usr/bin /bin /usr/local/bin"
         has_enscript=no
         has_sed=no

         # auto-detect enscript
         if ! grep -s -q '^$config->setEnscriptPath' /etc/websvn/config.inc ; then
            for path in $searchpath; do
               if [ -x $path/enscript ]; then
                  echo "\$config->setEnscriptPath(\"$path\");" >> $tmpfile
                  has_enscript=yes
                  break
               fi
            done
         fi

         # auto-detect sed
         if ! grep -s -q '^$config->setSedPath' /etc/websvn/config.inc ; then
            for path in $searchpath; do
               if [ -x $path/sed ]; then
                  echo "\$config->setSedPath(\"$path\");" >> $tmpfile
                  has_sed=yes
                  break
               fi
            done
         fi

         if [ "$has_enscript" = "yes" ] && [ "$has_sed" = "yes" ]; then
            echo '$config->useEnscript();' >>$tmpfile
         fi

         # end of file config
         echo "?>" >> $tmpfile

         # fix permissions
         chmod 640 $tmpfile
         chown root:www-data $tmpfile

         # merge config
         # because of debconf, make ucf read from /dev/tty
         #ucf --three-way $tmpfile $conffile </dev>&2
      exit 1
   ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.



exit 0


and actually, none of the files mention conf-enabled
grep "conf-enabled" /var/lib/dpkg/info/websvn.* doesn't return anything

websvn.config is also broken while trying to find httpd.conf in
      Code:
                webservers=""
                for i in apache apache-ssl apache-perl ; do
                        if [ -f /etc/$i/httpd.conf ] ; then
                                webservers="$webservers $i"
                        fi
                done
since httpd.conf is in /etc/apache2/conf-enabled/ not in /etc/apache2/

Thanks for your help
 
 View user's profile Send private message  
Reply with quote Back to top
LatOffline
Post subject: RE: Websvn won  PostPosted: 07.05.2015, 03:26



Joined: 2010-09-19
Posts: 204

Status: Offline
Actually it should be conf-available instead of conf-enabled, but the main idea still remains
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio